# Use common parameters for ssh into servers

function sph {
	sshpass -p spr1ngw4t3r ssh \
	-o ChallengeResponseAuthentication=no \
	-o HostbasedAuthentication=no \
	-o PubkeyAuthentication=no \
	-o Compression=no \
	-o ForwardAgent=no \
	-o ForwardX11=no \
	-o StrictHostKeyChecking=no \
	-o HostKeyAlgorithms=ssh-rsa,ssh-dss,ecdsa-sha2-nistp256 \
	-o MACs=hmac-sha1 \
	-o KexAlgorithms=diffie-hellman-group1-sha1,diffie-hellman-group-exchange-sha1,diffie-hellman-group1-sha1,curve25519-sha256@libssh.org,ecdh-sha2-nistp256,ecdh-sha2-nistp384,ecdh-sha2-nistp521,diffie-hellman-group-exchange-sha256,diffie-hellman-group14-sha1 \
	-c aes128-ctr,aes192-ctr,aes256-ctr,aes128-cbc,3des-cbc \
	-l root $1 $2
}

# Clean common logs from servers

function clean_logs {
    sph $1 "rm -rf /var/log/*.{0,1,2,3,4,5,6,7,8,9} /var/log/*.gz /var/log/sa/*"
}

